Subject: bug#53219: 27.2; shell-mode output is stolen by python-eldoc

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Jan 2022 07:13:05 +0100

[email-masked] writes:

> Evaluate the form below and type 'C-p' or 'C-n' repeatedly to display
> python eldoc messages.
> After 20-30 key input, an error occurs.
> Then look at the *shell* buffer, some numbers in output lines are
> absent.
> If setting debug-on-error to 't, *Backtrace* buffer popups,

That sounds familiar -- I think I recall something like this being fixed
in eldoc...

Yes, I can reproduce this problem in Emacs 27.2, but not in Emacs 29.
So I guess this has been fixed by now, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no